<p align="center">
  <a href="https://bespoken.io/">
    <img alt="BST" src="https://bespoken.io/wp-content/uploads/Bespoken-Logo-RGB-e1500333659572.png" width="546">
  </a>
</p>

<p align="center">
  Switch to BEAST mode<br>
  Develop, Debug, and Test Alexa skill and Google Actions Better and Faster
</p>

<p align="center">
    <a href="https://travis-ci.org/bespoken/bst">
        <img alt="Build Status" class="badge" src="https://travis-ci.org/bespoken/bst.svg?branch=master">
    </a>
    <a href="https://codecov.io/gh/bespoken/bst">
      <img src="https://codecov.io/gh/bespoken/bst/branch/master/graph/badge.svg" alt="Codecov" />
    </a>
    <a href='https://coveralls.io/github/bespoken/bst?branch=master'>
        <img src='https://coveralls.io/repos/github/bespoken/bst/badge.svg?branch=master' alt='Coverage Status' />
    </a>
    <a href="https://www.npmjs.com/package/bespoken-tools">
        <img alt="NPM Version" class="badge" src="https://img.shields.io/npm/v/bespoken-tools.svg">
    </a>
    <a href="https://read.bespoken.io">
        <img alt="Read The Docs" class="badge" src="https://img.shields.io/badge/docs-latest-brightgreen.svg?style=flat">
    </a>
    <a href="https://gitter.im/bespoken/bst?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge">
        <img alt="Contact us" class="badge" src="https://badges.gitter.im/bespoken/bst.svg">
    </a>
</p>

---
# Overview
With Bespoken, develop faster and better. Do not slow-down for:

* Time-consuming server deployments
* Over-complicated and highly manual testing routines
* Time-intensive and error-prone regression and utterance testing

The command-line tools include:

* [Test](https://read.bespoken.io/unit-testing/getting-started/#run-your-tests) - Test your voice application with minimum code required using YAML files
* [Proxy](https://read.bespoken.io/cli/commands/#proxy) - Easily debug Alexa requests by having them send directly to your laptop
* [Launch](https://read.bespoken.io/cli/commands/#launch) - Send a Launch Request to your Alexa skill
* [Utter](https://read.bespoken.io/cli/commands/#utter) and [Intend](https://read.bespoken.io/cli/commands/#intend) - Send intents and utterances to your Alexa skill
* [Speak](https://read.bespoken.io/cli/commands/#speak) - Send a request directly an Alexa Virtual Device - uses the "real" Alexa! Magic!

You can also use:

* --version, -v - Indicates the current BST and Node versions
* --help, -h - Shows usage information

# Installation

For use of the CLI:

```bash
$ npm install bespoken-tools -g
```

# Learn More
* [Getting Started With The CLI](https://read.bespoken.io/cli/getting-started/)
* [Unit-Testing](https://read.bespoken.io/unit-testing/getting-started/) - Using our simple, expressive YAML test scripting syntax
* [End-To-End Testing](https://read.bespoken.io/end-to-end/getting-started/) - Also uses our YAML syntax, but for end-to-end tests that use the real Alexa
* [Virtual Alexa](https://github.com/bespoken/virtual-alexa) - The core component of our unit-testing - use this for programmatic unit tests

## Questions/Feedback?

Talk to us on [Gitter](https://gitter.im/bespoken/bst), also feel free to open an [issue](https://github.com/bespoken/bst/issues/new) for a bug or feature request.

We love to hear feedback.
