import { AudioPlayer } from "./audio-player";
import { InteractionModel } from "./interaction-model";
import { AlexaSession } from "./alexa-session";
export declare class AlexaContext {
    private _skillURL;
    private _interactionModel;
    private _audioPlayer;
    private _applicationID?;
    private _accessToken;
    private _userID;
    private _session;
    constructor(_skillURL: string, _interactionModel: InteractionModel, _audioPlayer: AudioPlayer, _applicationID?: string);
    applicationID(): string;
    skillURL(): string;
    interactionModel(): InteractionModel;
    userID(): string;
    setUserID(userID: string): void;
    accessToken(): string;
    setAccessToken(token: string): void;
    audioPlayer(): AudioPlayer;
    audioPlayerEnabled(): boolean;
    newSession(): void;
    session(): AlexaSession;
    endSession(): void;
    activeSession(): boolean;
}
