"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.URLMangler = void 0;
var url = require("url");
var global_1 = require("../core/global");
var URLMangler = (function () {
    function URLMangler() {
    }
    URLMangler.mangle = function (urlString, sourceID, secretKey) {
        var urlValue = url.parse(urlString, true, false);
        return URLMangler.mangleJustPath(urlValue.path, sourceID, secretKey);
    };
    URLMangler.manglePipeToPath = function (sourceID, secretKey) {
        var secureParam = secretKey ? "?bespoken-key=" + secretKey : "";
        return "https://".concat(sourceID, ".").concat(global_1.Global.SpokesPipeDomain).concat(secureParam);
    };
    URLMangler.mangleJustPath = function (path, sourceID, secretKey) {
        var newUrl = "https://";
        newUrl += global_1.Global.SpokesDashboardHost;
        newUrl += path;
        if (path.indexOf("?") !== -1) {
            newUrl += "&";
        }
        else {
            newUrl += "?";
        }
        newUrl += "id=" + sourceID;
        newUrl += "&key=" + secretKey;
        return newUrl;
    };
    URLMangler.mangleNoPath = function (sourceID, secretKey) {
        var newUrl = "https://";
        newUrl += global_1.Global.SpokesDashboardHost;
        newUrl += "?id=" + sourceID;
        newUrl += "&key=" + secretKey;
        return newUrl;
    };
    return URLMangler;
}());
exports.URLMangler = URLMangler;
//# sourceMappingURL=url-mangler.js.map