/// <reference types="node" />
export declare class HTTPBuffer {
    private _rawContent;
    private _complete;
    private _chunks;
    private _headers;
    private _method;
    private _rawBody;
    private _requestLine;
    private _statusCode;
    private _statusLine;
    private _uri;
    static errorResponse(message: string): HTTPBuffer;
    append(data: Buffer): void;
    complete(): boolean;
    header(headerKey: string): string;
    hasHeader(headerKey: string): boolean;
    method(): string;
    uri(): string;
    statusCode(): number;
    chunked(): boolean;
    raw(): Buffer;
    isJSON(): boolean;
    body(): Buffer;
    bodyAsJSON(): any;
    private parseChunks;
    private appendBody;
    private parseHeaders;
}
export declare class HTTPChunk {
    body: Buffer;
    lengthString: string;
    constructor(body: Buffer, lengthString: string);
    length(): number;
    headerLength(): number;
    lengthWithHeaderAndTrailer(): number;
    lastChunk(): boolean;
    static parse(httpBody: Buffer): HTTPChunk;
    static parseLength(httpBody: Buffer): string;
}
